Summary:  An XML language to define transformation for XML
Name:     libxslt
Version:  1.1.38
Release:  5%{?dist}
License:  MIT
URL:      http://xmlsoft.org/XSLT
Source:   https://download.gnome.org/sources/libxslt/1.1/libxslt-%{version}.tar.xz

BuildRequires:  autoconf, automake, make, gcc, libtool
BuildRequires:  python3-devel, python3-libxml2, libxml2-devel
Provides: xsltproc = %{version}-%{release}

%description
libxslt is the XSLT C library developed for the GNOME project. XSLT
itself is a an XML language to define transformation for XML. libxslt
is based on libxml2, the XML C library developed for the GNOME
project. It also implements most of the EXSLT set of
processor-portable extension functions and some of Saxon's evaluate
and expressions extensions.

%package devel
Summary:  Development files of %{name}
Requires: %{name} = %{version}-%{release}
Requires: libgpg-error-devel

%description devel
libxslt is the XSLT C library developed for the GNOME project. XSLT
itself is a an XML language to define transformation for XML. libxslt
is based on libxml2, the XML C library developed for the GNOME
project. It also implements most of the EXSLT set of
processor-portable extension functions and some of Saxon's evaluate
and expressions extensions.

This package contains development files.

%package -n python3-libxslt
Summary:  Python 3 bindings for %{name}
Requires: %{name} = %{version}-%{release}
Requires: python3-libxml2

%description -n python3-libxslt
libxslt is the XSLT C library developed for the GNOME project. XSLT
itself is a an XML language to define transformation for XML. libxslt
is based on libxml2, the XML C library developed for the GNOME
project. It also implements most of the EXSLT set of
processor-portable extension functions and some of Saxon's evaluate
and expressions extensions.

This package contains python binding of %{name}.



%prep
%autosetup -p1
chmod 644 python/tests/*



%build
autoreconf -vfi
export PYTHON=/usr/bin/python3
%configure \
    --disable-static \
    --disable-silent-rules \
    --with-python=yes \
    --with-crypto=no \
    %{nil}
%make_build



%install
%make_install
find %{buildroot} -name '*.la' -print -delete
rm -vrf %{buildroot}%{_docdir}


%check
make tests



%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig



%files
%license Copyright
%doc AUTHORS NEWS README.md FEATURES
%{_bindir}/xsltproc
%{_libdir}/libxslt.so.*
%{_libdir}/libexslt.so.*
%{_libdir}/libxslt-plugins/
%{_mandir}/man1/xsltproc.1*
%{_mandir}/man3/libxslt.3*
%{_mandir}/man3/libexslt.3*

%files devel
%doc doc/libxslt-api.xml
%doc doc/EXSLT/libexslt-api.xml
%doc doc/tutorial
%doc doc/tutorial2
%{_includedir}/libxslt/
%{_includedir}/libexslt/
%{_bindir}/xslt-config
%{_libdir}/pkgconfig/libxslt.pc
%{_libdir}/pkgconfig/libexslt.pc
%{_libdir}/cmake/libxslt/
%{_libdir}/libxslt.so
%{_libdir}/libexslt.so
%{_libdir}/xsltConf.sh
%{_datadir}/aclocal/libxslt.m4
%exclude %{_datadir}/gtk-doc

%files -n python3-libxslt
%doc python/libxsltclass.txt
%doc python/tests/*.py
%doc python/tests/*.xml
%doc python/tests/*.xsl
%{python3_sitelib}/libxslt.py*
%{python3_sitearch}/libxsltmod.so
%{python3_sitelib}/__pycache__/libxslt*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.38-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.38-4
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.38-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.38-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Jul 27 2023 Shuo Wang <abushwang@tencent.com> - 1.1.38-1
- update to 1.1.38

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.35-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.35-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 01 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.1.35-1
- Initial building.
